Wrong symbol size after saving print composer as image

2013-11-06 12:19 AM - Sake Wagenaar

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17667

Description

Saving a composition doesn't work properly for maps with graduated symbols. On the saved image, the symbols are much larger than in

the print composer. The symbols are simple markers, sized with the option Size scale field. Size is expressed in map units. I also tried it

with data defined properties, with the same result.

The problem occurs with both QGIS 2.0.1 and QGIS 2.1.0-Master (eb6ca1e). I tested it on Windows 7 and 8.

History

#1 - 2013-11-07 02:00 AM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-10-27 01:58 PM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce this. Is it still an issue in master?

#3 - 2014-10-28 10:02 AM - Sake Wagenaar

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

This problem doesn't exist anymore in newer QGIS versions. At least not in QGIS 2.4.0.

Files
